/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

.mdxeditor-popup-container {
  z-index: 40 !important;
}

.padding-zero {
  padding: 0 !important;
}

.react-slidedown.accordeon__body {
  transition-duration: 0.2s;
  transition-timing-function: cubic-bezier(0.1, 0.7, 1.0, 0.1);
}

.nobr {
  white-space: nowrap;
  hyphens: none;
}

.ReactCollapse--collapse {
  transition: height 220ms;
}

/* fix смены языка на небольших экранах */
.page-home .header__lang2 {
  display: none;
}

.header__lang2 a {
  font-size: 14px;
  line-height: 20px;
}

.header__lang2 a:hover {
  background: rgba(255, 255, 255, .2);
  color: var(--c-text);
}

.header__lang2 a {
  display: block;
  padding: 4px 6px;
  font-weight: 400;
  background: rgba(255, 255, 255, .1);
  border-radius: 4px;
  color: var(--c-link);
}

.header_mid_hide {
  display: none;
}

@media (max-width:760px) {
  .page-home .header__lang2 {
    display: block;
  }

  .header_mid_hide {
    display: block;
  }
}

.btn.btn-danger {
  background: #cc0c0c;
}

.empty-image {
  background-image: url("../assets/svg/catalog-empty.svg");
  background-repeat: no-repeat;
  border-radius: 4px;
  background-size: contain;
  background-position: center;
}

.popup__container._show .comboInput__label {
  color: var(--c-text-black) !important
}

.popup__back {
  background-color: rgba(0, 0, 0, .7) !important;
}

.popup__back._show {
  opacity: 1 !important;
}

.table-list__item.owner-account {
  background-color: #2569e922;
}

.welcome-message._beige {
  background: #F9F1D7;
  --c-text: var(--c-text-black);
  --c-link: var(--c-text-black);
  --c-link-hover: var(--c-text-black);
}

.welcome-message._badge-warn {
  background: #e7ae33;
  --c-text: var(--c-text-black);
  --c-link: var(--c-text-black);
  --c-link-hover: var(--c-text-black);
}

.welcome-message._badge-err {
  background: #d66549;
  --c-text: var(--c-text-black);
  --c-link: var(--c-text-black);
  --c-link-hover: var(--c-text-black);
}

.dashboard__message._badge-warn {
  background: #e7ae33;
  --c-text: var(--c-text-black);
  --c-link: var(--c-text-black);
  --c-link-hover: var(--c-text-black);
}

.dashboard__message._badge-err {
  background: #d66549;
  --c-text: var(--c-text-black);
  --c-link: var(--c-text-black);
  --c-link-hover: var(--c-text-black);
}

.page-producer .content__header-id {
  --c-text: white;
  color: white;
}

.access-admin .footer {
  --c-footer: #F6F2E4 !important;
}

.access-admin .content-add__submit-inner {
  --c-footer: #F6F2E4 !important;
}

.form__section>ul>li::before {
  display: block;
  content: '' !important;
  position: absolute;
  top: 0;
  left: 0;
}

.permissions-list .table-list__item._active {
  background: inherit !important;
}

.permissions-list__content-body {
  background: inherit !important;
}

.form__section>ul>li {
  margin: 0 0 .5em;
  padding: 0 0 0 0 !important;
}

.page-producer .tv-item__header .content-item__info-item {
  --c-text: var(--c-text-grey);
}

.dashboard__stats-col:first-child {
  -ms-flex: 1 0 315px !important;
  flex: 1 0 315px !important;
}

.footer {
  z-index: 5 !important;
}

.permissions-list__content-body {
  color: inherit !important;
}

.permissions-list .table-list__item._active {
  color: inherit !important;
}

.permissions-list .table-list__item._active .table-list__col._id {
  color: inherit !important;
}

ul>li:before {
  display: block;
  content: '' !important
}

.tv-content__order .checkbox i {
  top: 9px !important;
}

.video-player__agelimit {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  cursor: pointer;
  transition: opacity .3s
}

.video-player__agelimit:before {
  display: block;
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: linear-gradient(0deg, rgba(105, 50, 212, .6) 0, rgba(105, 50, 212, 0) 100%)
}

.video-player__agelimit:after {
  display: block;
  content: '';
  width: 45px;
  height: 51px;
  background: url(../img/icons/18+.svg) no-repeat;
  position: absolute;
  top: 50%;
  left: 50%;
  margin: -25px 0 0 -20px;
  -ms-transform: scale(1);
  transform: scale(1);
  transition: transform .3s
}

.video-player__agelimit:hover:after {
  -ms-transform: scale(1.15);
  transform: scale(1.15);
  transition: transform .1s
}

.video-player._active .video-player__agelimit {
  opacity: 0;
  pointer-events: none
}

.pre {
  /* font: 400 16px/1.56 IBM Plex Sans, sans-serif; */
  font: var(--font);
  font-size: 14px;
  white-space: pre-wrap;
  /* Since CSS 2.1 */
  white-space: -moz-pre-wrap;
  /* Mozilla, since 1999 */
  white-space: -pre-wrap;
  /* Opera 4-6 */
  white-space: -o-pre-wrap;
  /* Opera 7 */
  word-wrap: break-word;
  /* Internet Explorer 5.5+ */
}

.btn._bd-red {
  border-color: var(--c-red);
  background: 0 0;
  color: var(--c-red)
}

.btn._bd-red svg {
  --c-text: var(--c-red)
}

.notouch .btn._bd-accent:hover {
  background: var(--c-red);
  color: var(--c-red)
}

.notouch .btn._bd-accent:hover svg {
  --c-text: var(--c-red)
}

.promo {
  display: none !important;
}

@media (max-width:760px) {
  .promo {
    display: block !important;
  }
}

.search {
  color: var(--c-text-grey) !important;
}

/** Safari */
.safari_fix_content {
  position: relative !important;
}

.tv-item__header-logo {
  border-radius: 0px !important;
}

.services-item__header-logo {
  border-radius: 0px !important;
}

.content__side-btn-sticky {
  right: 20px;
  position: absolute;
  top: 0;
  bottom: 0;
}

.content__side-btn {
  top: 90px !important;
  position: sticky !important;
  width: auto !important;
}

.welcome-news__item-copy {
  text-align: left;
}

.justify {
  text-align: justify;
}

.box {
  display: inline-block;
  padding: 10px;
  box-sizing: border-box;
}

.img-preview {
  overflow: hidden;
}

/* для превью новостей */
@media (min-width:1025px) {
  .welcome-news__grid-col._wrap .welcome-news__item {
    -ms-flex: 1 1 calc(34%);
    flex: 1 1 calc(34%);
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column
  }
}

.welcome-news__item {
  padding: 20px;
  background: #FFF;
  border-radius: 14px;
  position: relative
}

.welcome-news__item-image {
  margin-bottom: 20px;
  width: 100%;
  border-radius: 14px;
  overflow: hidden;
  position: relative
}

.welcome-news__item-image img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover
}

.welcome-news__item-image._bd img {
  object-fit: contain;
  object-position: 0 50%
}

.welcome-news__item-label {
  display: inline-block;
  position: absolute;
  top: 20px;
  left: 20px;
  max-width: calc(60%);
  padding: 2px 8px;
  background: #fff;
  border-radius: 4px;
  font-weight: 900
}

.welcome-news__item-heading {
  margin: 0 0 20px;
  font: 600 22px/1.25 var(--ff-main)
}

.welcome-news__item-heading em {
  display: block;
  font-style: normal;
  font-weight: 400
}

.welcome-news__item-heading a:after {
  display: block;
  content: '';
  position: absolute;
  inset: 0
}

.welcome-news__item-copy,
.welcome-news__item-pos {
  margin: 0 0 12px
}

.welcome-news__item-cta {
  margin: 20px 0 0
}

.welcome-news__item-cta a {
  display: -ms-flexbox;
  display: flex;
  gap: 6px;
  -ms-flex-align: center;
  align-items: center
}

.welcome-news__item-date {
  margin: 0;
  margin-bottom: -5px !important;
  margin-bottom: 20px !important;
  position: relative !important;
  text-align: end;
  bottom: 0px !important;
  right: 0px !important;
}

.welcome-news__grid .welcome-news__item {
  box-shadow: none
}

.welcome-news__grid .welcome-news__item .welcome-news__item-heading {
  margin-bottom: 12px
}

.welcome-news__grid .welcome-news__item .welcome-news__item-date {
  position: static
}

.welcome-news__grid .welcome-news__item .welcome-news__item-body {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -ms-flex-positive: 1;
  flex-grow: 1
}

.air-datepicker-time--row {
  background: linear-gradient(to right, var(--adp-time-track-color), var(--adp-time-track-color)) left 50%/100% var(--adp-time-track-height) no-repeat !important;
}

.dashboard__notifications {
  max-height: 1000px !important;
}

.news-wrapper ul {
  list-style: disc;
  padding: 0 0 0 1rem;
}

.tippy-box {
  word-break: break-word;
}

.storage__contextmenu {
  --c-text: #323657;
  --c-link: #323657;
  color: var(--c-text);
}

.storage__list-col._id {
  width: 40px;
}

.storage__list-col._op {
  width: 120px;
  min-width: 120px;
}

.storage__list-col._ip {
  flex: 0 0 15%;
}

.storage__list-item>.storage__list-col._ip {
  font-size: smaller;
}

.storage__list-item>.storage__list-col._op {
  font-size: smaller;
}

@media (max-width:1000px) {
  .storage__list-col._op {
    width: 100%;
  }

  .storage__list-item>.storage__list-col._ip {
    font-size: medium;
  }
}
/* fix для кнопки Войти без welcome.css */
.header__lang {
	margin-left: 20px;
}

.header__signin-btn {
	all: unset;
	display: flex;
	gap: 4px;
	font-size: 14px;
	line-height: 20px;
	color: var(--c-link);
	text-decoration: none;
	transition: color .3s,background .3s,opacity .3s,border-color .3s,text-decoration-color .3s;
	outline: 0;
	cursor: pointer;
	-webkit-tap-highlight-color: transparent;
}

.header__signin-btn {
	font-size: 14px;
	line-height: 20px;
	color: var(--c-link);
	cursor: pointer;
}

.welcome-news__min-item::before {
	all: unset !important;
}
.welcome-news__min-item {
	padding: 0 !important;
}

.storage__guest-mykeys {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	-webkit-box-orient: vertical;
	-webkit-box-direction: normal;
	-ms-flex-direction: column;
	flex-direction: column;
	padding-bottom: 20px;
	gap: 12px;
}

.storage__guest-mykeys-name {
	-webkit-box-flex: 0;
	-ms-flex: 0 0 auto;
	flex: 0 0 auto;
	text-align: center;
}

.nobr.storage__list-item-object-name-group {
  overflow: hidden;
  text-overflow: ellipsis;
}

.welcome-news__article img {
	-webkit-box-flex: 1;
	-ms-flex: 1 1 100%;
	flex: 1 1 100%;
	display: block;
	width: 100%;
	height: 100%;
	-o-object-fit: cover;
	object-fit: cover;
	border-radius: 14px;
}

.welcome-news__article p {
  width: 100%;
	overflow-wrap: break-word;
	word-break: break-word;
}